For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

Get historical market data

get

https://pro-api.solscan.io/v2.0/market/volume

Get historical market data

QUERY PARAMS

address

string

required

Market Id

time

array

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?time[]=20240701&time[]=20240715

Maximum allowed values: 2

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

pool_address

string

The pool address

program_id

string

The program owner

total_volume_24h

number

Total volume 24h

total_volume_change_24h

number

Total volume change percentage 24h

total_trades_24h

number

Total trades in the last 24 hours

total_trades_change_24h

number

Total trades change percentage 24h

tvl

number

Total value locked in the market

day

number

Day

volume

number

Volume number

tvl

number

Tvl number

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples